Payment Methods

Payment Methods endpoints for the Accounting API Unified API

10.38.1
Run In Postman
|Full reference

A Payment Method defines the instrument used to make a payment, such as cash, check, credit card, or bank transfer.

The Payment Methods model

idstring

A unique identifier for an object.

namestring

The name of the payment method.

typestring or null
Enum:cashcheckcredit_carddebit_card

The type of payment method.

statusstring or null
Enum:activeinactive

The status of the payment method.

custom_mappingsobject or null

When custom mappings are configured on the resource, the result is included here.

downstream_idstring or null

The third-party API ID of original entity

Payment Methods example
{}

List Payment Methods

get
https://unify.apideck.com/accounting/payment-methods

List Payment Methods

Authorizations:

Header parameters

x-apideck-consumer-idstring
required

ID of the consumer which you want to get or push data from

x-apideck-app-idstringnon-empty
required

The ID of your Unify application

x-apideck-service-idstring

Provide the service id you want to call (e.g., pipedrive). Only needed when a consumer has activated multiple integrations for a Unified API.

Query parameters

rawboolean
Default:false

Include raw response. Mostly used for debugging purposes

cursorstring or null

Cursor to start from. You can find cursors for next/previous pages in the meta.cursors property of the response.

limitinteger[ 1 .. 200 ]
Default:20

Number of results to return. Minimum 1, Maximum 200, Default 20

fieldsstring or null

The 'fields' parameter allows API users to specify the fields they want to include in the API response. If this parameter is not present, the API will return all available fields. If this parameter is present, only the fields specified in the comma-separated string will be included in the response. Nested properties can also be requested by using a dot notation.

Example: fields=name,email,addresses.city

In the example above, the response will only include the fields "name", "email" and "addresses.city". If any other fields are available, they will be excluded.

pass_throughobjectpass_through[example_downstream_property]=example_downstream_property

Optional unmapped key/values that will be passed through to downstream as query parameters. Ie: ?pass_through[search]=leads becomes ?search=leads

Responses

200Payment Methods
400Bad Request
401Unauthorized
402Payment Required
404The specified resource was not found
422Unprocessable

Mapping coverage per connector

NetSuite
NetSuite
QuickBooks
QuickBooks
Access Financials
Access Financials
Request
Acumatica
Acumatica
Request
AFAS Software
AFAS Software
Request
Alegra
Alegra
Request
banqUP
banqUP
Request
Campfire
Campfire
Request
Clear Books
Clear Books
Request
DATEV Unternehmen Online
DATEV Unternehmen Online
Request
Digits
Digits
Request
Dualentry
Dualentry
Request
Exact Online
Exact Online
Request
Exact Online NL
Exact Online NL
Request
Exact Online UK
Exact Online UK
Request
Fortnox
Fortnox
Request
FreeAgent
FreeAgent
Request
FreshBooks
FreshBooks
Request
Holded
Holded
Request
Intuit Enterprise Suite
Intuit Enterprise Suite
Request
Kashflow
Kashflow
Request
Microsoft Dynamics 365 Business Central
Microsoft Dynamics 365 Business Central
Request
Moneybird
Moneybird
Request
MRI Software
MRI Software
Request
MYOB
MYOB
Request
MYOB Acumatica
MYOB Acumatica
Request
Odoo
Odoo
Request
Pennylane
Pennylane
Request
Procountor
Procountor
Request
QuickBooks Desktop
QuickBooks Desktop
Request
Rillet
Rillet
Request
Sage Business Cloud Accounting
Sage Business Cloud Accounting
Request
Sage Intacct
Sage Intacct
Request
Sage Intacct REST
Sage Intacct REST
Request
SAP S/4HANA Cloud
SAP S/4HANA Cloud
Request
Spiris
Spiris
Request
Stripe
Stripe
Request
Visma eAccounting
Visma eAccounting
Request
Visma Netvisor
Visma Netvisor
Request
Wafeq
Wafeq
Request
Wave
Wave
Request
Workday
Workday
Request
Xero
Xero
Request
Yuki
Yuki
Request
Zoho Books
Zoho Books
Request

Request example

import { Apideck } from "@apideck/unify";

const apideck = new Apideck({
  consumerId: "test-consumer",
  appId: "dSBdXd2H6Mqwfg0atXHXYcysLJE9qyn1VwBtXHX",
  apiKey: process.env["APIDECK_API_KEY"] ?? "",
});

async function run() {
  const result = await apideck.accounting.paymentMethods.list({
    serviceId: "salesforce",
    fields: "id,updated_at",
    passThrough: {
      "search": "San Francisco",
    },
  });

  for await (const page of result) {
    console.log(page);
  }
}

run();

Response example

{
  "status_code": 200,
  "status": "OK",
  "service": "quickbooks",
  "resource": "PaymentMethods",
  "operation": "all",
  "data": [
    {
      "id": "12345",
      "name": "Cash",
      "type": "cash",
      "status": "active",
      "custom_mappings": {},
      "downstream_id": "12345",
      "row_version": "1-12345",
      "updated_by": "12345",
      "created_by": "12345",
      "updated_at": "2020-09-30T07:43:32.000Z",
      "created_at": "2020-09-30T07:43:32.000Z"
    }
  ],
  "meta": {
    "items_on_page": 50,
    "cursors": {
      "previous": "em9oby1jcm06OnBhZ2U6OjE=",
      "current": "em9oby1jcm06OnBhZ2U6OjI=",
      "next": "em9oby1jcm06OnBhZ2U6OjM="
    },
    "total_count": 1,
    "warnings": [
      {
        "type": "downstream_request_failed",
        "status_code": 429,
        "error": "string",
        "operation": "getManager",
        "message": "string"
      }
    ]
  },
  "links": {
    "previous": "https://unify.apideck.com/crm/companies?cursor=em9oby1jcm06OnBhZ2U6OjE%3D",
    "current": "https://unify.apideck.com/crm/companies",
    "next": "https://unify.apideck.com/crm/companies?cursor=em9oby1jcm06OnBhZ2U6OjM"
  },
  "_raw": {}
}

Create Payment Method

post
https://unify.apideck.com/accounting/payment-methods

Create Payment Method

Authorizations:

Header parameters

x-apideck-consumer-idstring
required

ID of the consumer which you want to get or push data from

x-apideck-app-idstringnon-empty
required

The ID of your Unify application

x-apideck-service-idstring

Provide the service id you want to call (e.g., pipedrive). Only needed when a consumer has activated multiple integrations for a Unified API.

Query parameters

rawboolean
Default:false

Include raw response. Mostly used for debugging purposes

Request body schema

application/json
namestring

The name of the payment method.

typestring or null
Enum:cashcheckcredit_carddebit_card

The type of payment method.

statusstring or null
Enum:activeinactive

The status of the payment method.

row_versionstring or null

A binary value used to detect updates to a object and prevent data conflicts. It is incremented each time an update is made to the object.

pass_throughobjects

The pass_through property allows passing service-specific, custom data or structured modifications in request body when creating or updating resources.

Responses

201Payment Methods
400Bad Request
401Unauthorized
402Payment Required
404The specified resource was not found
422Unprocessable

Mapping coverage per connector

NetSuite
NetSuite
QuickBooks
QuickBooks
Access Financials
Access Financials
Request
Acumatica
Acumatica
Request
AFAS Software
AFAS Software
Request
Alegra
Alegra
Request
banqUP
banqUP
Request
Campfire
Campfire
Request
Clear Books
Clear Books
Request
DATEV Unternehmen Online
DATEV Unternehmen Online
Request
Digits
Digits
Request
Dualentry
Dualentry
Request
Exact Online
Exact Online
Request
Exact Online NL
Exact Online NL
Request
Exact Online UK
Exact Online UK
Request
Fortnox
Fortnox
Request
FreeAgent
FreeAgent
Request
FreshBooks
FreshBooks
Request
Holded
Holded
Request
Intuit Enterprise Suite
Intuit Enterprise Suite
Request
Kashflow
Kashflow
Request
Microsoft Dynamics 365 Business Central
Microsoft Dynamics 365 Business Central
Request
Moneybird
Moneybird
Request
MRI Software
MRI Software
Request
MYOB
MYOB
Request
MYOB Acumatica
MYOB Acumatica
Request
Odoo
Odoo
Request
Pennylane
Pennylane
Request
Procountor
Procountor
Request
QuickBooks Desktop
QuickBooks Desktop
Request
Rillet
Rillet
Request
Sage Business Cloud Accounting
Sage Business Cloud Accounting
Request
Sage Intacct
Sage Intacct
Request
Sage Intacct REST
Sage Intacct REST
Request
SAP S/4HANA Cloud
SAP S/4HANA Cloud
Request
Spiris
Spiris
Request
Stripe
Stripe
Request
Visma eAccounting
Visma eAccounting
Request
Visma Netvisor
Visma Netvisor
Request
Wafeq
Wafeq
Request
Wave
Wave
Request
Workday
Workday
Request
Xero
Xero
Request
Yuki
Yuki
Request
Zoho Books
Zoho Books
Request

Request example

{
  "name": "Cash",
  "type": "cash",
  "status": "active",
  "row_version": "1-12345",
  "pass_through": [
    {
      "service_id": "string",
      "operation_id": "string",
      "extend_object": {},
      "extend_paths": [
        {
          "path": "$.nested.property",
          "value": {
            "TaxClassificationRef": {
              "value": "EUC-99990201-V1-00020000"
            }
          }
        }
      ]
    }
  ]
}

Response example

{
  "status_code": 200,
  "status": "OK",
  "service": "quickbooks",
  "resource": "PaymentMethods",
  "operation": "add",
  "data": {
    "id": "12345"
  },
  "_raw": {}
}

Get Payment Method

get
https://unify.apideck.com/accounting/payment-methods/{id}

Get Payment Method

Authorizations:

Path parameters

idstring
required

ID of the record you are acting upon.

Header parameters

x-apideck-consumer-idstring
required

ID of the consumer which you want to get or push data from

x-apideck-app-idstringnon-empty
required

The ID of your Unify application

x-apideck-service-idstring

Provide the service id you want to call (e.g., pipedrive). Only needed when a consumer has activated multiple integrations for a Unified API.

Query parameters

rawboolean
Default:false

Include raw response. Mostly used for debugging purposes

fieldsstring or null

The 'fields' parameter allows API users to specify the fields they want to include in the API response. If this parameter is not present, the API will return all available fields. If this parameter is present, only the fields specified in the comma-separated string will be included in the response. Nested properties can also be requested by using a dot notation.

Example: fields=name,email,addresses.city

In the example above, the response will only include the fields "name", "email" and "addresses.city". If any other fields are available, they will be excluded.

Responses

200Payment Methods
400Bad Request
401Unauthorized
402Payment Required
404The specified resource was not found
422Unprocessable

Mapping coverage per connector

NetSuite
NetSuite
QuickBooks
QuickBooks
Access Financials
Access Financials
Request
Acumatica
Acumatica
Request
AFAS Software
AFAS Software
Request
Alegra
Alegra
Request
banqUP
banqUP
Request
Campfire
Campfire
Request
Clear Books
Clear Books
Request
DATEV Unternehmen Online
DATEV Unternehmen Online
Request
Digits
Digits
Request
Dualentry
Dualentry
Request
Exact Online
Exact Online
Request
Exact Online NL
Exact Online NL
Request
Exact Online UK
Exact Online UK
Request
Fortnox
Fortnox
Request
FreeAgent
FreeAgent
Request
FreshBooks
FreshBooks
Request
Holded
Holded
Request
Intuit Enterprise Suite
Intuit Enterprise Suite
Request
Kashflow
Kashflow
Request
Microsoft Dynamics 365 Business Central
Microsoft Dynamics 365 Business Central
Request
Moneybird
Moneybird
Request
MRI Software
MRI Software
Request
MYOB
MYOB
Request
MYOB Acumatica
MYOB Acumatica
Request
Odoo
Odoo
Request
Pennylane
Pennylane
Request
Procountor
Procountor
Request
QuickBooks Desktop
QuickBooks Desktop
Request
Rillet
Rillet
Request
Sage Business Cloud Accounting
Sage Business Cloud Accounting
Request
Sage Intacct
Sage Intacct
Request
Sage Intacct REST
Sage Intacct REST
Request
SAP S/4HANA Cloud
SAP S/4HANA Cloud
Request
Spiris
Spiris
Request
Stripe
Stripe
Request
Visma eAccounting
Visma eAccounting
Request
Visma Netvisor
Visma Netvisor
Request
Wafeq
Wafeq
Request
Wave
Wave
Request
Workday
Workday
Request
Xero
Xero
Request
Yuki
Yuki
Request
Zoho Books
Zoho Books
Request

Request example

import { Apideck } from "@apideck/unify";

const apideck = new Apideck({
  consumerId: "test-consumer",
  appId: "dSBdXd2H6Mqwfg0atXHXYcysLJE9qyn1VwBtXHX",
  apiKey: process.env["APIDECK_API_KEY"] ?? "",
});

async function run() {
  const result = await apideck.accounting.paymentMethods.get({
    id: "<id>",
    serviceId: "salesforce",
    fields: "id,updated_at",
  });

  console.log(result);
}

run();

Response example

{
  "status_code": 200,
  "status": "OK",
  "service": "quickbooks",
  "resource": "PaymentMethods",
  "operation": "one",
  "data": {
    "id": "12345",
    "name": "Cash",
    "type": "cash",
    "status": "active",
    "custom_mappings": {},
    "downstream_id": "12345",
    "row_version": "1-12345",
    "updated_by": "12345",
    "created_by": "12345",
    "updated_at": "2020-09-30T07:43:32.000Z",
    "created_at": "2020-09-30T07:43:32.000Z"
  },
  "meta": {
    "items_on_page": 50,
    "cursors": {
      "previous": "em9oby1jcm06OnBhZ2U6OjE=",
      "current": "em9oby1jcm06OnBhZ2U6OjI=",
      "next": "em9oby1jcm06OnBhZ2U6OjM="
    },
    "total_count": 1,
    "warnings": [
      {
        "type": "downstream_request_failed",
        "status_code": 429,
        "error": "string",
        "operation": "getManager",
        "message": "string"
      }
    ]
  },
  "_raw": {}
}

Update Payment Method

patch
https://unify.apideck.com/accounting/payment-methods/{id}

Update Payment Method

Authorizations:

Path parameters

idstring
required

ID of the record you are acting upon.

Header parameters

x-apideck-consumer-idstring
required

ID of the consumer which you want to get or push data from

x-apideck-app-idstringnon-empty
required

The ID of your Unify application

x-apideck-service-idstring

Provide the service id you want to call (e.g., pipedrive). Only needed when a consumer has activated multiple integrations for a Unified API.

Query parameters

rawboolean
Default:false

Include raw response. Mostly used for debugging purposes

Request body schema

application/json
namestring

The name of the payment method.

typestring or null
Enum:cashcheckcredit_carddebit_card

The type of payment method.

statusstring or null
Enum:activeinactive

The status of the payment method.

row_versionstring or null

A binary value used to detect updates to a object and prevent data conflicts. It is incremented each time an update is made to the object.

pass_throughobjects

The pass_through property allows passing service-specific, custom data or structured modifications in request body when creating or updating resources.

Responses

200Payment Methods
400Bad Request
401Unauthorized
402Payment Required
404The specified resource was not found
422Unprocessable

Mapping coverage per connector

NetSuite
NetSuite
QuickBooks
QuickBooks
Access Financials
Access Financials
Request
Acumatica
Acumatica
Request
AFAS Software
AFAS Software
Request
Alegra
Alegra
Request
banqUP
banqUP
Request
Campfire
Campfire
Request
Clear Books
Clear Books
Request
DATEV Unternehmen Online
DATEV Unternehmen Online
Request
Digits
Digits
Request
Dualentry
Dualentry
Request
Exact Online
Exact Online
Request
Exact Online NL
Exact Online NL
Request
Exact Online UK
Exact Online UK
Request
Fortnox
Fortnox
Request
FreeAgent
FreeAgent
Request
FreshBooks
FreshBooks
Request
Holded
Holded
Request
Intuit Enterprise Suite
Intuit Enterprise Suite
Request
Kashflow
Kashflow
Request
Microsoft Dynamics 365 Business Central
Microsoft Dynamics 365 Business Central
Request
Moneybird
Moneybird
Request
MRI Software
MRI Software
Request
MYOB
MYOB
Request
MYOB Acumatica
MYOB Acumatica
Request
Odoo
Odoo
Request
Pennylane
Pennylane
Request
Procountor
Procountor
Request
QuickBooks Desktop
QuickBooks Desktop
Request
Rillet
Rillet
Request
Sage Business Cloud Accounting
Sage Business Cloud Accounting
Request
Sage Intacct
Sage Intacct
Request
Sage Intacct REST
Sage Intacct REST
Request
SAP S/4HANA Cloud
SAP S/4HANA Cloud
Request
Spiris
Spiris
Request
Stripe
Stripe
Request
Visma eAccounting
Visma eAccounting
Request
Visma Netvisor
Visma Netvisor
Request
Wafeq
Wafeq
Request
Wave
Wave
Request
Workday
Workday
Request
Xero
Xero
Request
Yuki
Yuki
Request
Zoho Books
Zoho Books
Request

Request example

{
  "name": "Cash",
  "type": "cash",
  "status": "active",
  "row_version": "1-12345",
  "pass_through": [
    {
      "service_id": "string",
      "operation_id": "string",
      "extend_object": {},
      "extend_paths": [
        {
          "path": "$.nested.property",
          "value": {
            "TaxClassificationRef": {
              "value": "EUC-99990201-V1-00020000"
            }
          }
        }
      ]
    }
  ]
}

Response example

{
  "status_code": 200,
  "status": "OK",
  "service": "quickbooks",
  "resource": "PaymentMethods",
  "operation": "update",
  "data": {
    "id": "12345"
  },
  "_raw": {}
}

Delete Payment Method

delete
https://unify.apideck.com/accounting/payment-methods/{id}

Delete Payment Method

Authorizations:

Path parameters

idstring
required

ID of the record you are acting upon.

Header parameters

x-apideck-consumer-idstring
required

ID of the consumer which you want to get or push data from

x-apideck-app-idstringnon-empty
required

The ID of your Unify application

x-apideck-service-idstring

Provide the service id you want to call (e.g., pipedrive). Only needed when a consumer has activated multiple integrations for a Unified API.

Query parameters

rawboolean
Default:false

Include raw response. Mostly used for debugging purposes

Responses

200Payment Methods
400Bad Request
401Unauthorized
402Payment Required
404The specified resource was not found
422Unprocessable

Mapping coverage per connector

NetSuite
NetSuite
QuickBooks
QuickBooks
Access Financials
Access Financials
Request
Acumatica
Acumatica
Request
AFAS Software
AFAS Software
Request
Alegra
Alegra
Request
banqUP
banqUP
Request
Campfire
Campfire
Request
Clear Books
Clear Books
Request
DATEV Unternehmen Online
DATEV Unternehmen Online
Request
Digits
Digits
Request
Dualentry
Dualentry
Request
Exact Online
Exact Online
Request
Exact Online NL
Exact Online NL
Request
Exact Online UK
Exact Online UK
Request
Fortnox
Fortnox
Request
FreeAgent
FreeAgent
Request
FreshBooks
FreshBooks
Request
Holded
Holded
Request
Intuit Enterprise Suite
Intuit Enterprise Suite
Request
Kashflow
Kashflow
Request
Microsoft Dynamics 365 Business Central
Microsoft Dynamics 365 Business Central
Request
Moneybird
Moneybird
Request
MRI Software
MRI Software
Request
MYOB
MYOB
Request
MYOB Acumatica
MYOB Acumatica
Request
Odoo
Odoo
Request
Pennylane
Pennylane
Request
Procountor
Procountor
Request
QuickBooks Desktop
QuickBooks Desktop
Request
Rillet
Rillet
Request
Sage Business Cloud Accounting
Sage Business Cloud Accounting
Request
Sage Intacct
Sage Intacct
Request
Sage Intacct REST
Sage Intacct REST
Request
SAP S/4HANA Cloud
SAP S/4HANA Cloud
Request
Spiris
Spiris
Request
Stripe
Stripe
Request
Visma eAccounting
Visma eAccounting
Request
Visma Netvisor
Visma Netvisor
Request
Wafeq
Wafeq
Request
Wave
Wave
Request
Workday
Workday
Request
Xero
Xero
Request
Yuki
Yuki
Request
Zoho Books
Zoho Books
Request

Request example

import { Apideck } from "@apideck/unify";

const apideck = new Apideck({
  consumerId: "test-consumer",
  appId: "dSBdXd2H6Mqwfg0atXHXYcysLJE9qyn1VwBtXHX",
  apiKey: process.env["APIDECK_API_KEY"] ?? "",
});

async function run() {
  const result = await apideck.accounting.paymentMethods.delete({
    id: "<id>",
    serviceId: "salesforce",
  });

  console.log(result);
}

run();

Response example

{
  "status_code": 200,
  "status": "OK",
  "service": "quickbooks",
  "resource": "PaymentMethods",
  "operation": "delete",
  "data": {
    "id": "12345"
  },
  "_raw": {}
}